datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu95bhsug <- function() showQCData("hgu95bhsug", datacache)
hgu95bhsug_dbconn <- function() dbconn(datacache)
hgu95bhsug_dbfile <- function() dbfile(datacache)
hgu95bhsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu95bhsug_dbInfo <- function() dbInfo(datacache)

hgu95bhsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu95bhsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgu95bhsug", "chip hgu95bhsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu95bhsug_dbconn())
}

